/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package peaconnector;

/**
 *
 * @author Csubák Péter
 */
public class SchemaListElement extends SchemaElement {

    private String elementsName;
    private Class elementsType;

    public SchemaListElement() {
    }

    @Override
    public void setByAnnot(SEAnnot annot) {
        super.setByAnnot(annot);
        this.elementsName = annot.elementsName();
        this.elementsType = annot.elementsType();
    }

    public SchemaListElement(String schemaName, String name, String elementsName, Class elementsType){
        super(schemaName, name);
        this.elementsName = elementsName;
        this.elementsType = elementsType;
    }

    public String getElementsName(){
        return elementsName;
    }

    public Class getElementsType(){
        return elementsType;
    }

}
